package com.zjrs.zwnw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.rlzysc.dto.*;
import com.zjrs.zwnw.rlzysc.po.VRsRlzyZphglPO;

import java.util.List;
import java.util.Map;

@Mapper
public interface VRsRlzyZphglMapper extends BaseMapper<VRsRlzyZphglPO> {
    public Page<Map<String,Object>> getZphfbList(Page<Map<String,Object>> page, @Param("dto") ZphQueryDTO dto, @Param("bae001")String bae001);
    public Map<String,Object> getZphXx(@Param("dto") ZjQueryDTO dto,@Param("userid") String userid);
    public Map<String,Object> getZphbh(String date);
    public List<Map<String,Object>> getZphHcZwCnt(Map<String,String> map);
    public void updateZphFb(@Param("list")  List<Map<String,Object>> list);
    public void updateZphQxFb(@Param("list") List<Map<String,Object>> list);

    List<ZphglExportResultDTO> queryExportDataList(@Param("ywlsh") String ywlsh, @Param("list") List<String> ids);

    Map<String,Object> getZphWscs(String rsrlzyzphgllsh);

    public Page<Map<String,Object>>  queryQychtjList(Page<Map<String, Object>> page,  @Param("dto") QychtjDTO dto);

    List<QychtjExportResultDTO> queryExportQychtj(@Param("dto") QychtjDTO dto);

    public Page<Map<String,Object>> queryQychtjDetailsList(Page<Map<String, Object>> page, @Param("dto") QychtjDTO dto);

    public Page<Map<String,Object>> getWlZphQyXx(Page<Map<String, Object>> page,@Param("dto") ZphQueryDTO dto);

    public Page<Map<String,Object>> getWlZphZwXx(Page<Map<String, Object>> page,@Param("dto") ZphQueryDTO dto);

    List<ExportZphZwXxResDTO> exportWlzphZwXx(@Param("dto") ZjDTO dto);

    List<ZwtjExportResultDTO> queryExportZwtj(@Param("dto") QychtjDTO dto);

    List<ZwtjExportResultDTO> exportZwtjRylb(@Param("dto") QychtjDTO dto);

    public Page<WscsmxListDTO> getZphWscsList(Page<WscsmxListDTO> page, @Param("rsrlzyzphgllsh")String rsrlzyzphgllsh);

    List<ZwtjExportResultDTO> exportQychtjRylbtj(@Param("dto") ZphQueryDTO dto, @Param("bae001")String bae001);

    List<ZwtjExportResultDTO> exportQychtjZwtj(@Param("dto") ZphQueryDTO dto, @Param("bae001")String bae001);

    List<WscsmxListDTO> exportAllWscsmx(@Param("dto") ZphQueryDTO dto);

    List<ExportBmcjQysDTO> exportBmcjqysDc(@Param("dto") ZphQueryDTO dto);

    List<QychtjExportHzBmqyDTO> exportQychtjHzBmqy(@Param("dto") ZphQueryDTO dto, @Param("bae001")String bae001);


}
